Subject: iSCSI : LOGO originated by target. (fwd)

From: Santosh Rao <[email-masked]>
Date: Sun, 14 Jan 2001 15:38:30 -0800 (PST)

Julian,

I did not see any response on this issue and hence, I am re-sending this
again. 

Issue :
=======
iSCSI requires targets to use AEN to request a logout, rather than allowing
targets to originate a Logout Command PDU.

Problem :
=========
1) The AEN feature is turned off by default 
(RAERP, UAAERP and EAERP bits in control mode page set to 0) 
thereby turning off AEN on the target side.

2) AEN usage requires host SCSI Stacks to be modified since they may not be
turning on RAERP, UAAERP or EAERP in the control mode page.

3) Targets that need to logout an initiator cannot depend on AEN since the
host may have disabled AEN, and hence, need to be allowed to originate a
Logout.

Proposed Solution :
===================
iSCSI should allow targets to originate logouts.

Thanks,
Santosh

> 
> > Section 2.17 Asynchronous Event
> > =========================
> > 1) "Target requests Logout on this connection" iSCSI event
> > indicator. Why not just allow the target to originate a Logout
> > as is done in Fibre Channel ?
> 
> > Besides, this AEN does not meet the requirement.
> > How does the target convey the CID of the connection to be
> > logged out ?
> > [js] CID an timeout appear now in parameters [/js]
> 
> The simplest approach and the most expeditious error recovery is to
> allow the target to originate a Logout. To send an AEN and then wait for
> the initiator to log out is opening up the target to dependencies on the
> initiator honoring and acting on that AEN, which is un-necessary.
> 
> This should not be a violation of SAM since SAM does not restrict
> unsolicited traffic for the interconnect specific commands. (Fibre
> Chanel does this.)
> 
> Thanks,
> Santosh
> 
> > I do not think SAM-2 lays any guidelines for how the SCSI
> >  interconnect protocol handle its native PDUs. (i.e. non-scsi
> > operations).
> > Fibre Channel allows unsolicited inbound traffic for ELS and
> > LS commands and allowing Logout and NOP-OUT
> > erhaps better thought of as a NOP command) commands to
> > be originated by targets would be desirable and would get rid of this
> > particular AEN iSCSI event indicator.
> 

-- 
#################################
Santosh Rao
Software Design Engineer,
HP, Cupertino.
email : [email-masked]
Phone : 408-447-3751
#################################